#!/usr/bin/env kjscmd

var vbox = new QVBox(this);
var tb = new QToolBox(vbox);

var c1 = new QPushButton( tb );
var c2 = new QPushButton( tb );

function itemchanged(idx) {
     alert( "Tab Changed, " + tb.item(idx).text );
}

c1.text = "Tab1's button";
c2.text = "Tab2's button";

tb.addItem(c1, "1");
tb.addItem(c2, "2");

vbox.connect(tb, "currentChanged(int)", this, "itemchanged");
vbox.show();

application.exec();
